petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscDrawSetSaveMovie

Saves a movie produced from a PetscDraw into a file

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawSetSaveMovie(PetscDraw draw,const char movieext[])

Collective on PetscDraw

### Input Parameter

| draw | - the graphics context
| movieext | - optional extension defining the movie format

### Options Database Command

-draw_save_movie <.ext> -saves a movie with extension .ext

### Notes

You should call this AFTER calling PetscDrawSetSave() and BEFORE creating your image with PetscDrawSave(). The ffmpeg utility must be in your path to make the movie.

### See Also

PetscDrawSetSave(), PetscDrawSetFromOptions(), PetscDrawCreate(), PetscDrawDestroy()

### Level

intermediate

### Location

src/sys/classes/draw/interface/dsave.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages